#ifndef MYSQL_H
#define MYSQL_H

#include <mysql/mysql.h>
#include <mysql/errmsg.h>	//CR_SERVER_GONE_ERROR
#include "Connection.h"
#include "LCD.h"
#include "main.h"

#define QUERY_SIZE		100
#define MYSQL_HOST		"localhost"
#define MYSQL_USERNAME		"type_username"
#define MYSQL_PASSWD		"type_password"

class MySQL
{
private:
	MYSQL mysql;
	int last_id;
	char szQuery[QUERY_SIZE];
public:
	MySQL();	//constructor
	~MySQL();
	bool Connect();
	bool CheckConnection();
	void Disconnect();
	bool UpdateRings(int);
	bool SearchAndFill(CallerInfo* Dest, char* szNumber);
	bool Add(Connection*);
	bool UpdateNewCallers();
};

#endif	// MYSQL_H
