CREATE DATABASE clip;
USE clip;

CREATE TABLE callers (
 number varchar(30) NOT NULL,
 lcdline1 varchar(20),
 lcdline2 varchar(20),
 myflags int unsigned DEFAULT '0' NOT NULL,
 dialername varchar(100),
 icon int DEFAULT '-1' NOT NULL,
 times_dialed int unsigned DEFAULT '0' NOT NULL,
 PRIMARY KEY (number)
);

INSERT INTO callers VALUES ('0000000000','','<<unlisted number>>',0,'',-1,0);

CREATE TABLE connection_history (
 number varchar(30) NOT NULL,
 date datetime NOT NULL,
 weekday tinyint NOT NULL,
 rings int unsigned NOT NULL,
 ID INT UNSIGNED NOT NULL AUTO_INCREMENT,
 PRIMARY KEY (ID)
);

CREATE TABLE new_callers (
 value smallint unsigned DEFAULT '0' NOT NULL,
 ID INT UNSIGNED NOT NULL AUTO_INCREMENT,
 PRIMARY KEY (ID)
);
