#ifndef CONNECTION_H
#define CONNECTION_H

#include <sys/time.h>
#include <netdb.h>	//socket, connect, shutdown
#include <arpa/inet.h>	//AF_INET, PF_INET, SOCK_STREAM
#include <string.h>	//bzero
#include <stdio.h>	//snprintf
#include "LCD.h"
#include "main.h"

#define	CID_UDP_PORT	559
#define SEND_BUFF_SIZE	512
#define OLO_IP_ADDR	"192.168.1.X"					//type here IP address you want to notify
static char* olo_callers[] = {"mummy","daddy","keyword1","keyword2"};	//and here on which keywords the notify have to be send

class Connection
{
private:
	char szSendBuffer[SEND_BUFF_SIZE];
	char szNumber[31];
	time_t thetime;
	struct tm *rtime;
	int iRings;				//rings
	int iServFD;
	struct sockaddr_in ServAddr;
public:
	int IncRings();				//returns incremented rings
	void ResetCounters();
	void FillDateTimeNow();			//actual date and time
	tm *GetTime();
	char *GetNumberBuffAddr();
	bool NotifyOlo();
	void UDP_Send();
	int GetRings();
};

#endif	// CONNECTION_H
