#ifndef MAIN_H
#define MAIN_H

#define	VERSION		"v0.0.3"

//for additional debug information:
#define DEBUG_INFO

#include <iostream.h>	//va_list, va_start, va_end
#include <stdio.h>	//stderr,stdout
#include <pthread.h>	//threads
#include <signal.h>
#include <sys/stat.h>	//umask
#include <stdlib.h>	//atoi
#include <errno.h>	//errno, EAGAIN
extern int errno;

#define RINGS_DELAY	11	//sec. between rings to treat as 100% end of one call
#define LOCK_FILE	"/var/lock/clipd.lock"
#define FIFO_DEVICE	"/dev/clipd"
#define LOG_FILE	"/var/log/clipd"

extern void lprintf(char *fmt, ...);

//globals
extern int gRings;
extern unsigned short int gCallers;
extern bool bIdleRingState;
extern bool bCanDial;
extern bool gDate;

#endif	// MAIN_H
